Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410028 - [RFE] Suggest rhv-h to reduce deptree
Summary: [RFE] Suggest rhv-h to reduce deptree
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: ovirt-node
Classification: oVirt
Component: RFEs
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Yuval Turgeman
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 09:18 UTC by Huijuan Zhao
Modified: 2017-10-31 09:44 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 09:44:28 UTC
oVirt Team: Node
sbonazzo: ovirt-4.2?
rule-engine: planning_ack?
sbonazzo: devel_ack+
cshao: testing_ack+


Attachments (Terms of Use)

Description Huijuan Zhao 2017-01-04 09:18:52 UTC
Description of problem:
According to bug 1368420, due to rhv-h update rpm is large, it maybe failed to upgrade RHVH via RHN if the network is not good, so suggest rhv-h to reduce deptree to reduce update rpm.
For example, we can get rid of unnecessary packages, such as x11 etc.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

Actual results:


Expected results:


Additional info:

Comment 1 Huijuan Zhao 2017-01-04 09:29:27 UTC
(In reply to Huijuan Zhao from comment #0)
> Description of problem:
> According to bug 1368420, due to rhv-h update rpm is large, it maybe failed
> to upgrade RHVH via RHN if the network is not good, so suggest rhv-h to
> reduce deptree to reduce update rpm.
> For example, we can get rid of unnecessary packages, such as x11 etc.
> 

Update: 
"rhv-h update rpm is large" should be "rhv-h image is large", so it maybe failed
to upgrade rhv-h via CDN if the network speed is not good.

Comment 2 Yaniv Kaul 2017-01-04 10:28:29 UTC
I think we have already a bug for that (or it is the appliance image?). Certainly if we can remove groups (such as X11? why is it indeed there?) it'd be great, but I would not spend more than that - this is exactly blacklisting we worked too hard on in previous RHEVH.

Comment 3 Ryan Barry 2017-01-04 14:03:01 UTC
We examined using deltarpms for both appliance and RHV-H, but deltarpm doesn't seem to understand how to compare disk images, and the delta is actually larger than the initial RPM. This may be a good target for an RFE.

We're not actually able to reduce the size of RHV-H in this way, though. Our list of dependencies is extremely small (see below). Any other package is pulled in as a dependency of these somewhere. 

libX11/gtk2, for example, are pulled in by redhat-release-virtualization-host-content->vdsm->virt-v2v->(pile of X11 libs)

In order to effectively reduce the size, we need to file RFEs against the appropriate components to get the deps dropped.

The only low-hanging fruit is dropping wireless firmwares, which saves ~25MB, or 5% of the size, and is something we can/should do from the RHV-H side.

%packages --excludedocs --ignoremissing
@anaconda-tools
dracut-config-generic
-dracut-config-rescue

# The RHV-H Entry Point Package
redhat-release-virtualization-host
redhat-release-virtualization-host-content
redhat-virtualization-host-image-update-placeholder
%end

Requires:       efibootmgr
Requires:       grub2-efi
Requires:       memtest86+
Requires:       syslinux
Requires:       efibootmgr
Requires:       shim
# Anaconda in RHEL assumes that openscap is available,
# thus we need to include it as well.
# Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1331354
Requires:       openscap
Requires:       openscap-utils
Requires:       scap-security-guide

# Core RHV requirements
Requires:       imgbased
Requires:       ovirt-node-ng-nodectl
Requires:       vdsm
Requires:       vdsm-gluster
Requires:       ovirt-hosted-engine-setup
Requires:       cockpit-ovirt-dashboard
Requires:       firewalld
Requires:       glusterfs
Requires:       glusterfs-fuse
Requires:       glusterfs-rdma
Requires:       NetworkManager-config-server
Requires:       mailx
Requires:       postfix
Requires:       sysstat

# Additional RHV requirements
Requires:       virt-who
Requires:       iotop
Requires:       subscription-manager
Requires:       redhat-access-insights
Requires:       vdsm-hook-fcoe
Requires:       vdsm-hook-vhostmd
Requires:       vdsm-hook-openstacknet
Requires:       vdsm-hook-ethtool-options
Requires:       vdsm-hook-vmfex-dev

# Enable FIPS
Requires:       dracut-fips

# Requirements to enable services
Requires:       audit
Requires:       rsyslog
Requires(post): systemd

Comment 7 Sandro Bonazzola 2017-05-12 09:33:21 UTC
For 4.1.2 RC2:
ovirt-node-ng-image.squashfs.img	529.20
ovirt-node-ng-image-4.1.2-0.2.rc2.el7.centos.noarch.rpm	529.29 MB

Latest master / 4.2 build:
ovirt-node-ng-image.squashfs.img	535.96 MB
ovirt-node-ng-image-4.2.0-0.3.master.20170420000146.git7f66ae2.el7.centos.noarch.rpm	536.05 MB

So we're moving in the wrong direction.
Can you please check?

Comment 8 Yuval Turgeman 2017-05-14 07:02:47 UTC
The following packages were added in master (total of 20M installed)

abrt-2.1.11-45.el7.centos (size: 2432772)
abrt-addon-ccpp-2.1.11-45.el7.centos (size: 356023)
abrt-addon-kerneloops-2.1.11-45.el7.centos (size: 38349)
abrt-addon-python-2.1.11-45.el7.centos (size: 31462)
abrt-addon-vmcore-2.1.11-45.el7.centos (size: 42730)
abrt-dbus-2.1.11-45.el7.centos (size: 132116)
abrt-libs-2.1.11-45.el7.centos (size: 57696)
abrt-python-2.1.11-45.el7.centos (size: 57771)
abrt-retrace-client-2.1.11-45.el7.centos (size: 104659)
elfutils-0.166-2.el7 (size: 775048)
gdb-7.6.1-94.el7 (size: 7336957)
libreport-2.1.11-35.el7.centos (size: 2116187)
libreport-plugin-rhtsupport-2.1.11-35.el7.centos (size: 106273)
libreport-plugin-ureport-2.1.11-35.el7.centos (size: 57134)
libreport-python-2.1.11-35.el7.centos (size: 96467)
libreport-web-2.1.11-35.el7.centos (size: 45296)
libtar-1.2.11-29.el7 (size: 74934)
lshw-B.02.17-12.el7 (size: 858143)
pygobject2-2.28.6-11.el7 (size: 890111)
python2-gluster-3.10.1-1.el7 (size: 16711)
python2-passlib-1.6.5-1.el7 (size: 2882209)
python-augeas-0.5.0-2.el7 (size: 72850)
python-prettytable-0.7.2-2.el7.centos (size: 183858)
satyr-0.13-14.el7 (size: 2396229)
xmlrpc-c-1.32.5-1905.svn2451.el7 (size: 330001)
xmlrpc-c-client-1.32.5-1905.svn2451.el7 (size: 53400)

abrt and lshw were added as direct dependencies for vdsm.
The abrt bunch pulled in gdb, elfutils, satyr, python-augeas, pygobject2 and libreport which pulled xmlrpc-c and libtar as well.
python-passlib was pulled in by ansible.
python2-gluster and python-prettytable were pulled in by glusterfs-geo-replication which is required by vdsm as well.

Comment 10 Sandro Bonazzola 2017-10-31 09:44:28 UTC
Closing can't fix.
We got new packages related to metrics and katello agent to be added in 4.2, so we can only increase the size, not reduce it.


Note You need to log in before you can comment on or make changes to this bug.